<?php

function pbpFetchFeed($feed, $boardID,$messageset){

	
	
	
	// Get a SimplePie feed object from the specified feed source.
	$rss = fetch_feed( $feed );

	
	if (!is_wp_error( $rss ) ){ // Checks that the object is created correctly
		$maxitems = $rss->get_item_quantity(1);		
		
		  // Build an array of all the items, starting with element 0 (first element).
		$rss_items = $rss->get_items( 0, $maxitems );
		
		foreach ( $rss_items as $item ){	 
			$link = $item->get_permalink();
			$content = $item->get_content();		
			$title = $item->get_title();
			$imgURL = pbpGetImgSrc($content);
		}			
	}
	
	else{
		$error = $rss->get_error_message();
		
	}
	
	$email = get_post_meta(999911113,'pbpusername', TRUE);
	$pass = get_post_meta(999911113,'pbppassword', TRUE);
	

	if (!empty($imgURL)){	
		pbpPostToPinterest($email, $pass, $title, $imgURL, $link, $boardID, $feed, $messageset, $content);
	}	
	 
}

function pbpGetImgSrc($content){

	preg_match('/<img.+src=[\'"](?P<src>.+?)[\'"].*>/i', $content, $image);
	return $image["src"];
	

}


?>